Compiling an application to use LuxCore API

Discussion related to the Engine functionality, implementations and API.
Post Reply
User avatar
TAO
Developer
Developer
Posts: 32
Joined: Sun Mar 24, 2019 4:49 pm
Contact:

Compiling an application to use LuxCore API

Post by TAO » Sun Mar 31, 2019 11:59 am

I tried to reconfigure project to work with new luxcore API and also the new version of 3dsmax and VS, but they're so many errors.
So, I need some information here, is there any change LIB in the original project, for example, Embree.lib to Embree3 or removing fftw3.lib ?
And where I can find information about this kind of change?
Thank you for your help.
Also, should I ask these questions on this thread or other threads?
Omid Ghotbi (TAO)

User avatar
TAO
Developer
Developer
Posts: 32
Joined: Sun Mar 24, 2019 4:49 pm
Contact:

Re: LuxCoreRender Project wants you!

Post by TAO » Sun Mar 31, 2019 12:25 pm

I replace lib and dependencies as much as I can but I get new external symbol errors like this one, any idea?
Severity Code Description Project File Line Suppression State
Error LNK2001 unresolved external symbol __imp_oidnSetSharedFilterImage LuxMax \MaxLuxCore\slg-film.lib(intel_oidn.obj) 1
or
Severity Code Description Project File Line Suppression State
Error LNK2001 unresolved external symbol "class luxrays::Properties __cdecl luxrays::operator<<(class luxrays::Property const &,class luxrays::Property const &)" (??6luxrays@@YA?AVProperties@0@AEBVProperty@0@0@Z) MaxLuxCore \MaxLuxCore\MaxLuxCoreMesh.obj 1
Omid Ghotbi (TAO)

User avatar
Dade
Developer
Developer
Posts: 2807
Joined: Mon Dec 04, 2017 8:36 pm

Re: Compiling an application to use LuxCore API

Post by Dade » Sun Mar 31, 2019 5:54 pm

First step, what procedure are you using to compile LuxCore ? Are you using the one described at https://github.com/LuxCoreRender/WindowsCompile ?

It may be better for you to use the "SDK" version (i.e. LuxCore compile as DLL so there are no dependencies).

Just run the following commands to compile the "SDK" version:

Code: Select all

cd C:\Path\to\luxcorerender\WindowsCompile\
.\cmake-build-x64.bat /dll
create-sdk.bat
To use the "SDK" version in an app, you need only to add "#include <luxcore/luxcore.h>" to you source and to link luxcore.lib, no other dependecy should be required.
Support LuxCoreRender project with salts and bounties

User avatar
TAO
Developer
Developer
Posts: 32
Joined: Sun Mar 24, 2019 4:49 pm
Contact:

Re: Compiling an application to use LuxCore API

Post by TAO » Sun Mar 31, 2019 6:26 pm

LuxCore, Luxray, Slg-core, Slg-Film, Slg-Kernel build perfectly with no issue.
Most part off plugins fixed now and i can build it, the only remaining part is the part that needs luxcore.
I think There is something change in dependencies or LIBs maybe.
Omid Ghotbi (TAO)

User avatar
Dade
Developer
Developer
Posts: 2807
Joined: Mon Dec 04, 2017 8:36 pm

Re: Compiling an application to use LuxCore API

Post by Dade » Sun Mar 31, 2019 7:56 pm

TAO wrote:
Sun Mar 31, 2019 6:26 pm
LuxCore, Luxray, Slg-core, Slg-Film, Slg-Kernel build perfectly with no issue.
Most part off plugins fixed now and i can build it, the only remaining part is the part that needs luxcore.
I think There is something change in dependencies or LIBs maybe.
But are you using the script ? What error do you get ?
Support LuxCoreRender project with salts and bounties

User avatar
TAO
Developer
Developer
Posts: 32
Joined: Sun Mar 24, 2019 4:49 pm
Contact:

Re: Compiling an application to use LuxCore API

Post by TAO » Sun Mar 31, 2019 8:33 pm

I found the issues, now it's working.
It was so many changes since the last update especially in 3dsmax SDK and of course luxcore.
Finally, i manage to fix it so i can compile the code and see what's happening next.
Omid Ghotbi (TAO)

Post Reply